summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorTorben2019-09-22 20:14:10 +0200
committerTorben2019-09-22 20:17:55 +0200
commitcb8e0f4aa5895ffed89d8709725a99c694e7cc82 (patch)
tree32ea830ddb73e5f04c8bdca5093815042bcd02ec
parentc425ec7e87632f5cc45dc79736e6193e49caceb2 (diff)
downloadaur-cb8e0f4aa5895ffed89d8709725a99c694e7cc82.tar.gz
Force use of official libhandy package
-rw-r--r--PKGBUILD19
-rw-r--r--force-system-libhandy.patch39
2 files changed, 49 insertions, 9 deletions
diff --git a/PKGBUILD b/PKGBUILD
index 6fb9ad8251a..26c9148d541 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -4,20 +4,22 @@
# Contributor: Massimiliano Torromeo <massimiliano.torromeo at gmail dot com>
pkgname=geary-git
-pkgver=r5007.f4b35869
+pkgver=r5013.b153755d
pkgrel=1
pkgdesc="An email application built around conversations, for the GNOME 3 desktop."
arch=(i686 x86_64)
url="https://gitlab.gnome.org/GNOME/geary"
license=('GPL3')
depends=('appstream-glib' 'enchant' 'folks' 'gcr' 'gmime' 'gtk3'
- 'gnome-online-accounts' 'gspell' 'libgee' 'libnotify' 'libsoup'
- 'libunwind' 'libxml2' 'libytnef' 'sqlite' 'webkit2gtk')
+ 'gnome-online-accounts' 'gspell' 'libgee' 'libhandy' 'libnotify'
+ 'libsoup' 'libunwind' 'libxml2' 'libytnef' 'sqlite' 'webkit2gtk')
makedepends=('git' 'itstool' 'meson' 'vala')
provides=('geary')
conflicts=('geary')
-source=('git+https://gitlab.gnome.org/GNOME/geary.git')
-sha256sums=('SKIP')
+source=('git+https://gitlab.gnome.org/GNOME/geary.git'
+ 'force-system-libhandy.patch')
+sha256sums=('SKIP'
+ '3817bad616f8187c45d47101b62f2dcc5172717dfbf91892e81d88905e2406cf')
pkgver() {
cd "$srcdir/geary"
@@ -25,10 +27,9 @@ pkgver() {
}
prepare() {
- cd "$srcdir/geary"
- if [[ -d build ]]; then
- rm -rf build
- fi
+ cd "$srcdir/geary"
+ rm -rf build
+ patch -Np1 -i ../force-system-libhandy.patch
}
build() {
diff --git a/force-system-libhandy.patch b/force-system-libhandy.patch
new file mode 100644
index 00000000000..458befb3dda
--- /dev/null
+++ b/force-system-libhandy.patch
@@ -0,0 +1,39 @@
+diff --u a/meson.build b/meson.build
+--- a/meson.build
++++ b/meson.build
+@@ -88,7 +88,7 @@ iso_codes = dependency('iso-codes')
+ javascriptcoregtk = dependency('javascriptcoregtk-4.0', version: '>=' + target_webkit)
+ json_glib = dependency('json-glib-1.0', version: '>= 1.0')
+ libcanberra = dependency('libcanberra', version: '>= 0.28')
+-libhandy = dependency('libhandy-0.0', version: '>= 0.0.9', required: false)
++libhandy = dependency('libhandy-0.0', version: '>= 0.0.9')
+ libmath = cc.find_library('m')
+ libsecret = dependency('libsecret-1', version: '>= 0.11')
+ libsoup = dependency('libsoup-2.4', version: '>= 2.48')
+@@ -108,26 +108,6 @@ if not enchant.found()
+ enchant = dependency('enchant', version: '>=1.6')
+ endif
+
+-# Handy isn't necessarily packaged by distros, so fall back to a
+-# subproject until it is.
+-if not libhandy.found()
+- libhandy_subproj = subproject(
+- 'libhandy',
+- default_options: [
+- 'examples=false',
+- 'glade_catalog=disabled',
+- 'tests=false',
+- ]
+- )
+-
+- libhandy = declare_dependency(
+- dependencies: [
+- libhandy_subproj.get_variable('libhandy_dep'),
+- libhandy_subproj.get_variable('libhandy_vapi'),
+- ]
+- )
+-endif
+-
+ # Libunwind system dependencies above ensures appropriate versions,
+ # but this declared depencency is what we actually build against so we
+ # can include the custom VAPI correctly. We need to add unwind_lib to